| OpenCV 3.4.1 Open Source Computer Vision

Instance Methods | Protected Attributes | Properties | List of all members
CvAbstractCamera Class Reference
Video I/O » iOS glue for video I/O

`#import "cap_ios.h"`

Inheritance diagram for CvAbstractCamera:

## Instance Methods
(void) | - createCaptureOutput
(void) | - createVideoPreviewLayer
(id) | - initWithParentView:
(void) | - lockBalance
(void) | - lockExposure
(void) | - lockFocus
(void) | - start
(void) | - stop
(void) | - switchCameras
(void) | - unlockBalance
(void) | - unlockExposure
(void) | - unlockFocus
(void) | - updateOrientation

## Protected Attributes
BOOL | cameraAvailable
UIDeviceOrientation | currentDeviceOrientation

## Properties
AVCaptureSession * | captureSession
BOOL | captureSessionLoaded
AVCaptureVideoPreviewLayer * | captureVideoPreviewLayer
AVCaptureDevicePosition | defaultAVCaptureDevicePosition
NSString *const | defaultAVCaptureSessionPreset
AVCaptureVideoOrientation | defaultAVCaptureVideoOrientation
int | defaultFPS
int | imageHeight
int | imageWidth
UIView * | parentView
BOOL | running
BOOL | useAVCaptureVideoPreviewLayer
AVCaptureConnection * | videoCaptureConnection

## Method Documentation

## § createCaptureOutput()

- (void) createCaptureOutput |  |  |

## § createVideoPreviewLayer()

- (void) createVideoPreviewLayer |  |  |

## § initWithParentView:()

- (id) initWithParentView: |  | (UIView *) | parent |

## § lockBalance()

- (void) lockBalance |  |  |

## § lockExposure()

- (void) lockExposure |  |  |

## § lockFocus()

- (void) lockFocus |  |  |

## § start()

- (void) start |  |  |

## § stop()

- (void) stop |  |  |

## § switchCameras()

- (void) switchCameras |  |  |

## § unlockBalance()

- (void) unlockBalance |  |  |

## § unlockExposure()

- (void) unlockExposure |  |  |

## § unlockFocus()

- (void) unlockFocus |  |  |

## § updateOrientation()

- (void) updateOrientation |  |  |

## Member Data Documentation

## § cameraAvailable

- (BOOL) cameraAvailable
| protected

## § currentDeviceOrientation

- (UIDeviceOrientation) currentDeviceOrientation
| protected

## Property Documentation

## § captureSession

- (AVCaptureSession*) captureSession
| read write nonatomic strong

## § captureSessionLoaded

- (BOOL) captureSessionLoaded
| read nonatomic assign

## § captureVideoPreviewLayer

- (AVCaptureVideoPreviewLayer*) captureVideoPreviewLayer
| read nonatomic assign

## § defaultAVCaptureDevicePosition

- (AVCaptureDevicePosition) defaultAVCaptureDevicePosition
| read write nonatomic assign

## § defaultAVCaptureSessionPreset

- (NSString* const) defaultAVCaptureSessionPreset
| read write nonatomic strong

## § defaultAVCaptureVideoOrientation

- (AVCaptureVideoOrientation) defaultAVCaptureVideoOrientation
| read write nonatomic assign

## § defaultFPS

- (int) defaultFPS
| read write nonatomic assign

## § imageHeight

- (int) imageHeight
| read write nonatomic assign

## § imageWidth

- (int) imageWidth
| read write nonatomic assign

## § parentView

- (UIView*) parentView
| read write nonatomic strong

## § running

- (BOOL) running
| read nonatomic assign

## § useAVCaptureVideoPreviewLayer

- (BOOL) useAVCaptureVideoPreviewLayer
| read write nonatomic assign

## § videoCaptureConnection

- (AVCaptureConnection*) videoCaptureConnection
| read write nonatomic strong

The documentation for this class was generated from the following file:

- videoio/include/opencv2/videoio/cap_ios.h